Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputCursor

Input cursor interface.
Contained in: global
Derived from: none
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

``virtual`` | `~CL_InputCursor` | `()`;

### Attributes:

``virtual` `float`` | `get_x` | `()`;
``virtual` `float`` | `get_y` | `()`;
``virtual` `float`` | `get_max_x` | `()`;
``virtual` `float`` | `get_max_y` | `()`;
``virtual` `void`` | `set_position` | `(`float` `x`, `float` `y`)`;

## Description:

CL_InputCursor is the interface to cursors, such as a mouse cursor.

## Function Member Descriptions:

CL_InputCursor::get_max_x - Returns the range of the x-coordinate.
``virtual` `float`` `get_max_x` `()`;

> Returns - Max x coordinate value.

CL_InputCursor::get_max_y - Returns the range of the y-coordinate.
``virtual` `float`` `get_max_y` `()`;

> Returns - Max y coordinate value.

CL_InputCursor::get_x - Returns current x-coordinate.
``virtual` `float`` `get_x` `()`;

> Returns - Current x position.

CL_InputCursor::get_y - Returns current y-coordinate.
``virtual` `float`` `get_y` `()`;

> Returns - Current y position.

CL_InputCursor::set_position - Set the cursor to the position given by x and y
``virtual` `void`` `set_position` `(`float` `x`, `float` `y`)`;

CL_InputCursor::~CL_InputCursor - Input Cursor Destructor
``virtual`` `~CL_InputCursor` `()`;